/*!
 * SAP UI development toolkit for HTML5 (SAPUI5)

(c) Copyright 2009-2016 SAP SE. All rights reserved
 */
sap.ui.define(['sap/ui/core/Element','sap/viz/library'],function(E,l){"use strict";var A=E.extend("sap.viz.ui5.controls.common.feeds.AnalysisObject",{metadata:{library:"sap.viz",properties:{uid:{type:"string",group:"Misc",defaultValue:null},name:{type:"string",group:"Misc",defaultValue:null},type:{type:"string",group:"Misc",defaultValue:null},dataType:{type:"string",group:"Misc",defaultValue:null}}}});A.prototype._toInnerFmt=function(g){var u=this.getProperty('uid');var n=this.getProperty('name');var t=this.getProperty('type');var d=this.getProperty('dataType');if(u&&t){return new g(u,n,t,d);}};A.toVizControlsFmt=function(d){return Array.prototype.map.call(d,function(e){return e._toInnerFmt(function(i,n,t,f){t=t?t.toLowerCase():t;f=f?f.toLowerCase():f;return new sap.viz.controls.common.feeds.AnalysisObject(i,n,t,f);});});};A.fromVizControlsFmt=function(i){return Array.prototype.map.call(i,function(d){return new A({'uid':d.id(),'name':d.name(),'type':d.type(),'dataType':d.dataType()});});};A.toLightWeightFmt=function(d){return Array.prototype.map.call(d,function(e){return e._toInnerFmt(function(i,n,t,f){f=a[f]||f;t=b[t]||t;if(f||f.length){return{'id':i,'type':t,'dataType':f};}else{return{'id':i,'type':t};}});});};A.fromLightWeightFmt=function(d){return Array.prototype.map.call(d,function(i){return new A({'uid':i.id,'name':i.id,'type':i.type,'dataType':c[i.dataType]||i.dataType});});};var _=function(o){var r={};for(var k in o){var v=o[k];r[v]=k;}return r;};var a={'string':'String','number':'Number','date':'Date'};var b={'measure':'Measure','dimension':'Dimension'};var c=_(a);return A;});
